## com.baidubce.services.moladb.model
Class BatchWriteItemRequest

    java.lang.Object
      com.baidubce.model.AbstractBceRequest
          com.baidubce.services.moladb.model.BatchWriteItemRequest

    public class BatchWriteItemRequest

extends AbstractBceRequest

Represents the input of a BatchWriteItem operation.

Constructor Summary
`BatchWriteItemRequest()` Constructs a new BatchWriteItemRequest object.

Method Summary
`Map<String,List<WriteRequest>>` `getRequestItems()` Get the request items for BatchWriteItem operation.
`void` `setRequestItems(Map<String,List<WriteRequest>> requestItems)` Set the request items for BatchWriteItem operation.
`protected List<Object>` `toJsonObj(List<WriteRequest> requests)`
`String` `toString()` Return a string representation of request information.
`BatchWriteItemRequest` `withRequestCredentials(BceCredentials credentials)`
`BatchWriteItemRequest` `withRequestItems(Map<String,List<WriteRequest>> requestItems)` Set the request items for BatchWriteItem operation.

Methods inherited from class com.baidubce.model.AbstractBceRequest
`getRequestCredentials, setRequestCredentials`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### BatchWriteItemRequest

    public BatchWriteItemRequest()

  Constructs a new BatchWriteItemRequest object. Callers should use the setter or fluent setter (with...) methods to initialize any additional object members.

Method Detail

### toString

    public String toString()

  Return a string representation of request information.

  Overrides:
    `toString` in class `Object`
  Returns:
    A string representation of request information.

### withRequestItems

    public BatchWriteItemRequest withRequestItems(Map<String,List<WriteRequest>> requestItems)

  Set the request items for BatchWriteItem operation.

  Parameters:
    `requestItems` - The request items for BatchWriteItem operation.
  Returns:
    Returns a reference to the object so that method calls can be chained together.

### setRequestItems

    public void setRequestItems(Map<String,List<WriteRequest>> requestItems)

  Set the request items for BatchWriteItem operation.

  Parameters:
    `requestItems` - The request items for BatchWriteItem operation, the type is Map.
  See Also:
    `WriteRequest`

### getRequestItems

    public Map<String,List<WriteRequest>> getRequestItems()

  Get the request items for BatchWriteItem operation.

  Returns:
    Returns items for BatchWriteItem operation. the type is Map.
  See Also:
    `WriteRequest`

### withRequestCredentials

    public BatchWriteItemRequest withRequestCredentials(BceCredentials credentials)

  Specified by:
    `withRequestCredentials` in class `AbstractBceRequest`

### toJsonObj

    protected List<Object> toJsonObj(List<WriteRequest> requests)

Copyright © 2016. All rights reserved.